Package org.bukkit.inventory

# Interface ComplexRecipe

All Superinterfaces:
  `Keyed`, `Recipe`

public interface ComplexRecipe extends Recipe, Keyed
Represents a complex recipe which has imperative server-defined behavior, eg armor dyeing. Note: Since a complex recipe has dynamic outputs, `Recipe.getResult()` will sometimes return an AIR ItemStack.

## Method Summary

### Methods inherited from interface org.bukkit.Keyed

`getKey`

### Methods inherited from interface org.bukkit.inventory.Recipe

`getResult`